
<div *ngIf="resource">
    <h2><span jhiTranslate="pcidssApp.resource.detail.title">Resource</span> {{resource.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.resource.resourceURL">Resource URL</span></dt>
        <dd>
            <span>{{resource.resourceURL}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.resource.userGroup">User Group</span></dt>
        <dd>
            <span *ngFor="let userGroup of resource.userGroups; let last = last">
                <a [routerLink]="['/user-group', userGroup?.id ]">{{userGroup.name}}</a>{{last ? '' : ', '}}
            </span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'resource/'+ resource.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
